### Hierarchy

- SentMessageInfo
  - SentMessageInfo

## Index

### Properties

- accepted
- envelopeTime
- messageSize
- messageTime
- rejected
- rejectedErrors
- response

## Properties

### accepted

accepted: string[]

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:86

an array of accepted recipient addresses. Normally this array should contain at least one address except when in LMTP mode. In this case the message itself might have succeeded but all recipients were rejected after sending the message.

### envelopeTime

envelopeTime: number

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:94

how long was envelope prepared

### messageSize

messageSize: number

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:98

how many bytes were streamed

### messageTime

messageTime: number

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:96

how long was send stream prepared

### rejected

rejected: string[]

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:88

an array of rejected recipient addresses. This array includes both the addresses that were rejected before sending the message and addresses rejected after sending it if using LMTP

### Optional rejectedErrors

rejectedErrors: SMTPError[]

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:90

if some recipients were rejected then this property holds an array of error objects for the rejected recipients

### response

response: string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:92

the last response received from the server

Generated using TypeDoc